import request from '@/utils/request'

// 查询商机基础信息列表
export function listBasic(query) {
  return request({
    url: '/mk/bo/basic/list',
    method: 'get',
    params: query
  })
}



// 查询商机基础信息详细
export function getBasic(id) {
  return request({
    url: '/mk/bo/basic/' + id,
    method: 'get'
  })
}



// 新增商机基础信息
export function addBasic(data) {
  return request({
    url: '/mk/bo/basic',
    method: 'post',
    data: data
  })
}



// 修改商机基础信息
export function updateBasic(data) {
  return request({
    url: '/mk/bo/basic',
    method: 'put',
    data: data
  })
}


// 删除商机基础信息
export function delBasic(id) {
  return request({
    url: '/mk/bo/basic/' + id,
    method: 'delete'
  })
}
